@extends('frontend.layouts.app')

@section('title', app_name() . ' | Privacy Policy')

@section('after-styles')
    {{ Html::style("js/iCheck/blue.css") }}
    {{ Html::style("css/login.css") }}
@endsection

@section('content')
    <body class="hold-transition register-page" style="background-image: url('/img/contactus.png');">
    <p><strong>Tulu Privacy Policy</strong></p>
    <p>&nbsp;</p>
    <p><strong>Effective Date: March 12, 2019</strong></p>
    <p>&nbsp;</p>
    <p>Tulu LLC. is committed to maintaining robust privacy protections for its users. Our Privacy Policy (&ldquo;Privacy Policy&rdquo;) is designed to help you understand how we collect, use, and safeguard the information you provide to us and to assist you in making informed decisions when using our Service.&nbsp;</p>
    <p>&nbsp;</p>
    <p>Tulu provides emergency notification and accountability and other services to users. Our Privacy Policy helps explain our information practices. For example, we talk about what information we collect and how this affects you. We also explain the steps we take to protect your privacy.</p>
    <p>&nbsp;</p>
    <p>When we say &ldquo;Tulu,&rdquo; &ldquo;our,&rdquo; &ldquo;we,&rdquo; or &ldquo;us,&rdquo; we&rsquo;re talking about Tulu LLC. This Privacy Policy applies to all of our apps, services, features, software, and website (together, &ldquo;Services&rdquo;) unless specified otherwise.</p>
    <p>&nbsp;</p>
    <p>This Privacy Policy does not apply to any third party applications or software that integrate with the Services through the Tulu platform (&ldquo;Third Party Services&rdquo;), or any other third party products, services or businesses. In addition, a separate agreement governs delivery, access and use of the Services by an organization (the &ldquo;Customer Agreement&rdquo;), including the processing of any messages, data or other content submitted through Services accounts (collectively, &ldquo;Customer Data&rdquo;). The Organization (e.g., a business or entity or person that you are associated with) that entered into the Customer Agreement (&ldquo;Customer&rdquo;) controls their instance of the Services and any associated Customer Data. If you have any questions about specific Service settings and privacy practices, please contact the Customer administrator whose Service you use. If you have received an invitation to join an organization in Tulu but have not yet created an account, you should request assistance from the Customer that sent the invitation.</p>
    <p>&nbsp;</p>
    <p><strong>Information We Collect</strong></p>
    <p>Tulu may collect and receive Customer Data and other information and data (&ldquo;Other Information&rdquo;) in a variety of ways:</p>
    <ul>
        <li>Customer Data. Customers or individuals granted access to a Workspace by a Customer (&ldquo;Authorized Users&rdquo;) routinely submit Customer Data to TULU when using the Services.</li>
        <li>Other Information:
            <ul>
                <li>Organization and Account Information. To create or update an Organization account, you or your Customer (e.g., the organization you are associated with) supply Tulu with an email address, phone number, password and/or similar account details.</li>
                <li>Transactional Information. Customers that purchase a paid version of the Services provide Tulu (or its payment processors) with billing details such as credit card information, banking information and/or a billing address.</li>
                <li>Usage and Log Information. We collect service-related, diagnostic, and performance information. This includes information about your activity (such as how you use our Services, how you interact with others using our Services, and the like), log files, and diagnostic, crash, website, and performance logs and reports.</li>
                <li>Device and Connection Information. We collect device-specific information when you install, access, or use our Services. This includes information such as hardware model, operating system information, browser information, IP address, mobile network information including phone number, and device identifiers. We collect device location information if you use our location features, such as when you choose to share your location, and for diagnostics and troubleshooting purposes such as if you are having trouble with our app&rsquo;s location features.</li>
                <li>We use cookies to operate and provide our Services, including to provide our Services that are web-based, improve your experiences, understand how our Services are being used, and customize our Services. For example, we use cookies to provide Tulu for web and desktop and other web-based services. Additionally, we may use cookies to remember your choices, such as your preferences, and otherwise to customize our Services for you.</li>
                <li>Status Information. We collect information about your online and status message changes on our Services, such as whether you are &rdquo;ok&rdquo; or &ldquo;not ok&rdquo;.</li>
                <li>Location information. We receive information from you, your Customer and other third-parties that helps us approximate your location. For example, Tulu may collect location information from devices in accordance with the consent process provided by your device.</li>
            </ul>
        </li>
    </ul>
    <p>&nbsp;</p>
    <p><strong>Third-Party Information</strong></p>
    <ul>
        <li>Information Others Provide About You. We receive information other people provide us such as the Customer or Organization you are associated with, which may include information about you. For example, Customers that are associated with you may provide your phone number from their phone list, or they may send you a message, send messages to groups to which you belong, or call you.</li>
        <li>Third-Party Providers. We work with third-party providers to help us operate, provide, improve, understand, customize, support, and market our Services. For example, we work with companies to distribute our apps, provide our infrastructure, delivery, and other systems, supply map and places information, process payments, help us understand how people use our Services, and market our Services. These providers may provide us information about you in certain circumstances; for example, app stores may provide us reports to help us diagnose and fix service issues.</li>
        <li>Third-Party Services. We allow you to use our Services in connection with third-party services. If you use our Services with such third-party services, we may receive information about you from them; for example, if you choose to access our Services through a mobile carrier&rsquo;s or device provider&rsquo;s promotion of our Services. Please note that when you use third-party services, their own terms and privacy policies will govern your use of those services.</li>
    </ul>
    <p>&nbsp;</p>
    <p><strong>How We Use Information</strong></p>
    <p>Customer Data will be used by Tulu in accordance with Customer&rsquo;s instructions, including any applicable terms in the Customer Agreement and Customer&rsquo;s use of Services functionality, and as required by applicable law. Tulu is a processor of Customer Data and Customer is the controller. Customer may, for example, use the Services to grant and remove user access to its Tulu organization, assign roles and configure settings, access, modify, export, share and remove Customer Data and otherwise apply its policies to the Services.</p>
    <p>&nbsp;</p>
    <p>Tulu uses Other Information in furtherance of our legitimate interests in operating our Services, Websites and business. More specifically, Tulu uses Other Information:</p>
    <ul>
        <li><strong>To provide, update, maintain and protect our Services, Websites and business.</strong>&nbsp;This includes use of Other Information to support delivery of the Services under a Customer Agreement, prevent or address service errors, security or technical issues, analyze and monitor usage, trends and other activities or at an Authorized User&rsquo;s request.</li>
        <li><strong>As required by applicable law, legal process or regulation.</strong></li>
        <li><strong>To communicate with you by responding to your requests, comments and questions.</strong>&nbsp;If you contact us, we may use your Other Information to respond.</li>
        <li><strong>To develop and provide search, learning and productivity tools and additional features.</strong>&nbsp;Tulu tries to make the Services as useful as possible for specific Tulu Organizations and Authorized Users.</li>
        <li><strong>To send emails and other communications.</strong>&nbsp;We may send you service, technical and other administrative emails, messages and other types of communications. We may also contact you to inform you about changes in our Services, our Services offerings, and important Services-related notices, such as security and fraud notices. These communications are considered part of the Services and you may not opt out of them. In addition, we sometimes send emails about new product features, promotional communications or other news about TULU. These are marketing messages so you can control whether you receive them.</li>
        <li><strong>For billing, account management and other administrative matters.</strong>&nbsp;Tulu may need to contact you for invoicing, account management and similar reasons and we use account data to administer accounts and keep track of billing and payments.</li>
        <li><strong>To investigate and help prevent security issues and abuse.</strong></li>
    </ul>
    <p>&nbsp;</p>
    <p>If Information is aggregated or de-identified so it is no longer reasonably associated with an identified or identifiable natural person, Tulu may use it for any business purpose. To the extent Information is associated with an identified or identifiable natural person and is protected as personal data under applicable data protection law, it is referred to in this Privacy Policy as &ldquo;<strong>Personal Data</strong>.&rdquo;</p>
    <p>&nbsp;</p>
    <p><strong>Information You And We Share</strong></p>
    <p>Except as otherwise stated in this Privacy Policy, we do not sell, trade, rent or otherwise share for marketing purposes your Personal Information with third parties without your consent. We do share Personal Information with vendors who are performing services for the Company, such as the servers for our email communications who are provided access to user&rsquo;s email address for purposes of sending emails from us. Those vendors use your Personal Information only at our direction and in accordance with our Privacy Policy.</p>
    <ul>
        <li>Account Information. Your phone number, profile name and photo, and status message, and location may be available to the Customer organization you are associated with and who uses our Services.</li>
        <li>Customer&rsquo;s Instructions. Tulu will solely share and disclose Customer Data in accordance with a Customer&rsquo;s instructions, including any applicable terms in the Customer Agreement and Customer&rsquo;s use of Services functionality, and in compliance with applicable law and legal process</li>
        <li>Customer Access. Owners, administrators, Authorized Users and other Customer representatives and personnel may be able to access, modify or restrict access to Other Information. This may include, for example, your organization using Service features to export logs of their activity, or accessing or modifying your profile details.</li>
        <li>Your Contacts and Others. Organization(s) with whom you are connected to may store or reshare your information (including your phone number or messages) with others on and off our Services.</li>
        <li>Third-Party Providers. We work with third-party providers to help us operate, provide, improve, understand, customize, support, and market our Services. When we share information with third-party providers, we require them to use your information in accordance with our instructions and terms or with express permission from you.</li>
        <li>Third-Party Services. When you use third-party services that are integrated with our Services, they may receive information about what you share with them. For example, if you use a data backup service integrated with our Services (such as iCloud or Google Drive), they will receive information about what you share with them. If you interact with a third-party service linked through our Services, you may be providing information directly to such third party. Please note that when you use third-party services, their own terms and privacy policies will govern your use of those services.</li>
    </ul>
    <p>&nbsp;</p>
    <p><strong>Assignment, Change Of Control, And Transfer</strong></p>
    <p>All of our rights and obligations under our Privacy Policy are assignable by us to any of our affiliates, in connection with a merger, acquisition, restructuring, or sale of assets, or by operation of law or otherwise, and we may transfer your information to any of our affiliates, successor entities, or new owner.</p>
    <p>&nbsp;</p>
    <p><strong>Security</strong></p>
    <p>Tulu takes security of data very seriously. Tulu works hard to protect Other Information you provide from loss, misuse, and unauthorized access or disclosure. These steps take into account the sensitivity of the Other Information we collect, process and store, and the current state of technology. Given the nature of communications and information processing technology, Tulu cannot guarantee that Information, during transmission through the Internet or while stored on our systems or otherwise in our care, will be absolutely safe from intrusion by others.</p>
    <p>&nbsp;</p>
    <p><strong>Law and Protection</strong></p>
    <p>We may collect, use, preserve, and share your information if we have a good-faith belief that it is reasonably necessary to: (a) respond pursuant to applicable law or regulations, to legal process, or to government requests; (b) enforce our Terms and any other applicable terms and policies, including for investigations of potential violations; (c) detect, investigate, prevent, and address fraud and other illegal activity, security, or technical issues; or (d) protect the rights, property, and safety of our users, or others.</p>
    <p>&nbsp;</p>
    <p><strong>Updates to our Policy</strong></p>
    <p>We may amend or update our Privacy Policy. We will provide you notice of amendments to this Privacy Policy, as appropriate. Your continued use of our Services confirms your acceptance of our Privacy Policy, as amended. If you do not agree to our Privacy Policy, as amended, you must stop using our Services. Please review our Privacy Policy from time to time.</p>
    <p>&nbsp;</p>
    <p>Last Updated: This Privacy Policy was last updated on 7/25/18.</p>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
    <p><strong>Contact Us</strong></p>
    <p>If you have any questions regarding this Privacy Policy or the practices of this Site, please contact us by sending an email to info@tulupro.com.</p>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
    </body>
@endsection